# Albert Zhao
# Police Shoes

import board
import neopixel
import time
import random
import digitalio
import touchio
import adafruit_lis3dh
import busio
import analogio
import pwmio
from adafruit_motor import servo
from analogio import AnalogIn
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

RED = (255,0,0)
BLUE = (0,0,255)

i2c = busio.I2C(board.ACCELEROMETER_SCL, board.ACCELEROMETER_SDA)
int1 = digitalio.DigitalInOut(board.ACCELEROMETER_INTERRUPT)
accelerometer = adafruit_lis3dh.LIS3DH_I2C(i2c, address = 0x19, int1 = int1)
accelerometer.range = adafruit_lis3dh.RANGE_8_G

strip_pin = board.A1
strip_num_of_lights = 30
strip = neopixel.NeoPixel(strip_pin, strip_num_of_lights, brightness = 0.5, auto_write = True)

while True:

    x, y, z = accelerometer.acceleration
    if y < -2.0:
        strip.fill(BLUE)
    if y > 2.0:
        strip.fill(RED)
